% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pool.R
\name{pool_bootstrap_normal}
\alias{pool_bootstrap_normal}
\title{Bootstrap Pooling via normal approximation}
\usage{
pool_bootstrap_normal(est, conf.level, alternative)
}
\arguments{
\item{est}{a numeric vector of point estimates from each bootstrap sample.}

\item{conf.level}{confidence level of the returned confidence interval.
Must be a single number between 0 and 1. Default is 0.95.}

\item{alternative}{a character string specifying the alternative hypothesis,
must be one of \code{"two.sided"} (default), \code{"greater"} or \code{"less"}.}
}
\description{
Get point estimate, confidence interval and p-value using
the normal approximation.
}
\details{
The point estimate is taken to be the first element of est. The remaining
n-1 values of est are then used to generate the confidence intervals.
}
